Snag Docs logo

Complete Loyalty Rule

Verify a loyalty rule based on user action and reward them if applicable.

POSThttps://admin.snagsolutions.io/api/loyalty/rules/{id}/complete

Verify a loyalty rule based on user action and reward them if applicable. This endpoint currently only supports following rule types: code_entry, text_input, link_click, external_rule, connect_wallet, check_in, connected_twitter, drip_x_follow, drip_x_new_tweet, drip_x_text_in_bio, drip_x_text_in_name, drip_x_text_in_comment, drip_x_tweet, connected_phone, instagram_post, instagram_follow, connected_steam, steam_wishlist, connected_epic, connected_email, profile_completed, connected_telegram, telegram_messages, telegram_join, connected_discord, discord_member, DiscordMessages, discord_join, discord_role_grant, quiz, poll, TokenHold, token_hold_erc20, connected_github, github_repo_star, github_repo_fork, github_repo_collaborator, connected_youtube, youtube_subscribers, youtube_comment, connected_reddit, reddit_comment, connected_instagram, points_airdrop, shopify_spend, swap, connected_tiktok, tiktok_post, tiktok_follow, post_impressions, stratus_function, dapps_by_gas_spent, dapps_by_active_users, dapps_by_new_users

Loading code example
Loading code example

Authorizations

apiKeyAuthstringheaderrequired

API key passed in the header.

Path Parameters

idstring<uuid>required

Body

Body

verificationCodestring

Optional verification code for completing the loyalty rule

userIdstring<uuid>

Unique identifier for the user

walletAddressstring

Wallet address of the user can only be used if userId is not provided

contentUrlstring

Link to the post/comment made by user

loyaltyQuestionChoiceIdstring

ID of the choice selected by the user

verifyOnlystring

Flag indicating if only verification is required, this will not create a transaction and reward the user.

Default: "false"
rangeValuenumber

Value to compare with the range

amountnumber

Override amount for the reward (rounded to nearest whole number). This will override the rule amount and reward the integer passed.

idempotencyKeystring

Unique key to ensure idempotent requests.

Length: <= 70
skipChainOrRequiredCheckboolean

Flag indicating if the chain or required check should be skipped.

Response

application/json

200

message"Completion request added to queue" | "Link click being verified, come back later to check the status"required
Allowed values: "Completion request added to queue" | "Link click being verified, come back later to check the status"